PDA

View Full Version : Prevent AutoCAD Text Window from popping to the front



ReachAndre
2007-04-25, 05:23 PM
Hey all, I was wondring how I could avoid having the command line dialogue box "Open"
during the creation of a layer state. Here what I have so far:


(defun c:lot ()
(command "-layer" "a" "s" "lotcurr" "" "" "")
(command "-layer" "thaw" "*" "")
(command "-layer" "on" "*" "")
(princ "\nAll layers turned on and thawed")
(princ))


Thanks all

tyshofner
2007-04-25, 06:29 PM
Not sure how to keep it from coming up, but you can close it with this:



(defun c:lot ()
(command "-layer" "a" "s" "lotcurr" "" "" "")
(graphscr)
(command "-layer" "thaw" "*" "")
(command "-layer" "on" "*" "")
(princ "\nAll layers turned on and thawed")
(princ))


****Wooo Hooo...............My 200th post!!!!!****

Ty :mrgreen:

kennet.sjoberg
2007-04-25, 06:32 PM
Not sure how to keep it from coming up, but you can close it with this:



(defun c:lot ()
(command "-layer" "a" "s" "lotcurr" "" "" "")
(graphscr)
(command "-layer" "thaw" "*" "")
(command "-layer" "on" "*" "")
(princ "\nAll layers turned on and thawed")
(princ))


Ty :mrgree:

(graphscr) :confused: are you really sure :?:

: ) Happy Computing !

kennet

tyshofner
2007-04-25, 06:40 PM
(graphscr) :confused: are you really sure :?:

: ) Happy Computing !

kennet
The "save state" option of the "-layer" command opens the ACAD Text Window.
(graphscr) changes the focus back to the drawing area (closes the text window). It's not very pretty, you see the window flash real quick, but at least you don't have to close it yourself.

If you know a better way please do tell.

** Now it's stuck in italics!!!! Oh well!! **

Ty :mrgreen:

kennet.sjoberg
2007-04-25, 07:03 PM
The "save state" option of the "-layer" command opens the ACAD Text Window.

Yes, I do know how to [F2] flip between (textscr) and (graphscr)
but I could not believe that that was the mission

: ) Happy Computing !

kennet

BTW

** I have no idea why this text is BOLD **
remove the [size=2] and [b] in your post

tyshofner
2007-04-25, 07:57 PM
BTW

** I have no idea why this text is BOLD **
remove the [size=2] and [b] in your post
Thanks, that bugged me.

Ty :mrgreen:

.T.
2007-04-25, 08:34 PM
The problem is that graphscr only changes focus to the graphics screen and restores the graphics screen if it's minimized. It doesn't close the text screen. It is very apparent when you have a dual screen setup and have the text screen on your second monitor; its still there when you execute graphscr, it just moves behind palletes or whatever that Autocad has open. I don't know how you would accomplish this. It may be a wish list item.

ReachAndre
2007-04-26, 07:59 PM
Hey thanks all,
that worked very well, and yes you do see the screen flash.
Thanks again